<?

/*
session_start();
if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='session_invalida.php'; ";
	echo "</script>";
}*/

?>
<html>
<head><meta http-equiv="Content-Type" content="text/html; charset=windows-1252">

<link rel="stylesheet" href="media/css/bootstrap.css">
	<link rel="stylesheet" href="media/css/bootstrap.min.css">
	<link rel="stylesheet" href="media/css/bootstrap-theme.css">
	<link rel="stylesheet" href="media/css/bootstrap-theme.min.css">
	<link rel="stylesheet" href="media/css/dataTables.bootstrap.min.css">
	<link rel="stylesheet" href="media/css/fixedHeader.bootstrap.min.css">
	<link rel="stylesheet" href="media/css/responsive.bootstrap.min.css">
	 <script src="media/js/jquery-1.10.2.js"></script>
	<script src="media/js/jquery.dataTables.min.js"></script>
	<script src="media/js/dataTables.bootstrap.min.js"></script>
	<script src="media/js/dataTables.fixedHeader.min.js"></script>
	<script src="media/js/dataTables.responsive.min.js"></script>
	<script src="media/js/responsive.bootstrap.min.js"></script>
	
	<script src="media/js/jquery.min.js"></script>
    <script src="media/js/bootstrap.min.js"></script>
<SCRIPT>
function IsNumeric(valor) 
{ 
var log=valor.length; var sw="S"; 
for (x=0; x<log; x++) 
{ v1=valor.substr(x,1); 
v2 = parseInt(v1); 
//Compruebo si es un valor numérico 
if (isNaN(v2)) { sw= "N";} 
} 
if (sw=="S") {return true;} else {return false; } 
} 
var primerslap=false; 
var segundoslap=false; 
function formateafecha(fecha) 
{ 
var long = fecha.length; 
var dia; 
var mes; 
var ano; 
if ((long>=2) && (primerslap==false)) { dia=fecha.substr(0,2); 
if ((IsNumeric(dia)==true) && (dia<=31) && (dia!="00")) { fecha=fecha.substr(0,2)+"-"+fecha.substr(3,7); primerslap=true; } 
else { fecha=""; primerslap=false;} 
} 
else 
{ dia=fecha.substr(0,1); 
if (IsNumeric(dia)==false) 
{fecha="";} 
if ((long<=2) && (primerslap=true)) {fecha=fecha.substr(0,1); primerslap=false; } 
} 
if ((long>=5) && (segundoslap==false)) 
{ mes=fecha.substr(3,2); 
if ((IsNumeric(mes)==true) &&(mes<=12) && (mes!="00")) { fecha=fecha.substr(0,5)+"-"+fecha.substr(6,4); segundoslap=true; } 
else { fecha=fecha.substr(0,3);; segundoslap=false;} 
} 
else { if ((long<=5) && (segundoslap=true)) { fecha=fecha.substr(0,4); segundoslap=false; } } 
if (long>=7) 
{ ano=fecha.substr(6,4); 
if (IsNumeric(ano)==false) { fecha=fecha.substr(0,6); } 
else { if (long==10){ if ((ano==0) || (ano<1900) || (ano>2100)) { fecha=fecha.substr(0,6); } } } 
} 
if (long>=10) 
{ 
fecha=fecha.substr(0,10); 
dia=fecha.substr(0,2); 
mes=fecha.substr(3,2); 
ano=fecha.substr(6,4); 
// Año no viciesto y es febrero y el dia es mayor a 28 
if ( (ano%4 != 0) && (mes ==02) && (dia > 28) ) { fecha=fecha.substr(0,2)+"-"; } 
} 
return (fecha); 
}
</SCRIPT>
<link href="estilos/styles/mantenedores.css" rel="stylesheet" type="text/css">
<script type="text/javascript">
function salir(){ 
		document.form1.action='maningresopagos.php';
		document.form1.submit();
		return true;			
	} 
</script>
<script language="javascript">
		
	function reporte()
	{ 
		location.href='mancobros.php';
	}
	
	function Nuevo(f)
	{
	   if(f.fregistro.value=="")
	   {
	       f.fregistro.focus();
		   return false;
	   }
	   
	   if(f.MONTO.value=="")
	   {
	       f.MONTO.focus();
		   return false;
	   }
	   if(f.CONCEPTO.value=="")
	   {
	       f.CONCEPTO.focus();
		   return false;
	   }
	   
	   f.action='controladores/CobroController.php';
	   f.submit();
	   return true;
	   
	}
	
</script>
<title>Registrar cobro</title>
<style type="text/css">
<!--
.Estilo1 {font-size: 12px}
-->
</style>
</head>

<body>
<div class="container">
<div class="row">	
   <div class="col-md-15">
        <h4><strong>REGISTRAR COBRO </strong>| 
          <input name="BtnNuevo2" type="button" value="Reporte de Cobros" class=" btn btn-warning"  onClick="reporte()"/>
        </h4>
  </div>
 </div>
<form id="form1" name="form1" method="post" action="controladores/CobroController.php">
  <table class="table table-responsive">
    
    

    <tr>
      <th width="135" height="24" scope="col" ><div align="right">Fecha:</div></th>
      <th width="1714" colspan="4" scope="col"><div align="left">
          <input name="fregistro" type="text" class="inputbox" id="fregistro" size="15" maxlength="15" onKeyUp = "this.value=formateafecha(this.value);"/>
          
      </div></th>
    </tr>
    <tr>
      <td height="22" scope="col" ><div align="right"><b>Monto:</b></div></td>
      <th colspan="4" scope="col"><div align="left">
          <input name="MONTO" type="text" size="8" maxlength="12" class="inputbox" value="" />
      </div></th>
    </tr>
    <tr>
      <td height="22" scope="col" ><div align="right"><b>Especificacion:</b></div></td>
      <th colspan="4" scope="col"><div align="left">
          <input name="CONCEPTO" type="text" class="inputbox" onKeyUp="javascript:this.value=this.value.toUpperCase();" value="" size="50" maxlength="100" />
      </div></th>
    </tr>
    <tr>
      <td height="24" colspan="5" scope="col"><div align="right">
          <input type="hidden" name="txtpara" value="R">
          <input name="BtnNuevo" type="button" value="Guardar" class=" btn btn-success"  onClick="Nuevo(this.form)"/>
      </div></td>
    </tr>
  </table>
</form>
</div>
</body>
</html>
